Callisto4Bootloader: sv_transmit_buffer Struct Reference

Callisto4Bootloader

Data Fields
sv_transmit_buffer Struct Reference

`#include <platform_sampler_lpspi3_ad8688.h>`

## Data Fields

uint8_t | destMac [6]
uint8_t | sourceMac [6]
uint8_t | etherSvData0
uint8_t | etherSvData1
uint8_t | appID0
uint8_t | appID1
uint8_t | svLength0
uint8_t | svLength1
uint8_t | reserved0
uint8_t | reserved1
uint8_t | reserved2
uint8_t | reserved3
uint8_t | imlicitPdu0
uint8_t | pduLength
uint8_t | imlicitInt0
uint8_t | noAsduLength
uint8_t | asduNumber
uint8_t | imlicitSeq2
uint8_t | seqLength
uint8_t | sequence
uint8_t | asduLength
uint8_t | imlicitString0
uint8_t | svidLength
uint8_t | svID [MAX_SVID_LENGTH]
uint8_t | imlicitInt2
uint8_t | smpCntLength
uint8_t | smpCnt0
uint8_t | smpCnt1
uint8_t | imlicitInt3
uint8_t | ConfRefLength
uint8_t | ConfRef0
uint8_t | ConfRef1
uint8_t | ConfRef2
uint8_t | ConfRef3
uint8_t | imlicitInt5
uint8_t | smpSynchLength
uint8_t | smpSynch
uint8_t | imlicitData7
uint8_t | smpDataLength
uint8_t | sampleData [SMP_DATA_LENGTH]

## Detailed Description

Definition at line 197 of file platform_sampler_lpspi3_ad8688.h.

## Field Documentation

## ◆ appID0

uint8_t sv_transmit_buffer::appID0

Definition at line 206 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ appID1

uint8_t sv_transmit_buffer::appID1

Definition at line 207 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ asduLength

uint8_t sv_transmit_buffer::asduLength

Definition at line 222 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ asduNumber

uint8_t sv_transmit_buffer::asduNumber

Definition at line 218 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ ConfRef0

uint8_t sv_transmit_buffer::ConfRef0

Definition at line 232 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv(), and GPT2_IRQHandler().

## ◆ ConfRef1

uint8_t sv_transmit_buffer::ConfRef1

Definition at line 233 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv(), and GPT2_IRQHandler().

## ◆ ConfRef2

uint8_t sv_transmit_buffer::ConfRef2

Definition at line 234 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ ConfRef3

uint8_t sv_transmit_buffer::ConfRef3

Definition at line 235 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ ConfRefLength

uint8_t sv_transmit_buffer::ConfRefLength

Definition at line 231 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ destMac

uint8_t sv_transmit_buffer::destMac[6]

Definition at line 198 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ etherSvData0

uint8_t sv_transmit_buffer::etherSvData0

Definition at line 204 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ etherSvData1

uint8_t sv_transmit_buffer::etherSvData1

Definition at line 205 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ imlicitData7

uint8_t sv_transmit_buffer::imlicitData7

Definition at line 239 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ imlicitInt0

uint8_t sv_transmit_buffer::imlicitInt0

Definition at line 216 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ imlicitInt2

uint8_t sv_transmit_buffer::imlicitInt2

Definition at line 226 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ imlicitInt3

uint8_t sv_transmit_buffer::imlicitInt3

Definition at line 230 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ imlicitInt5

uint8_t sv_transmit_buffer::imlicitInt5

Definition at line 236 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ imlicitPdu0

uint8_t sv_transmit_buffer::imlicitPdu0

Definition at line 214 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ imlicitSeq2

uint8_t sv_transmit_buffer::imlicitSeq2

Definition at line 219 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ imlicitString0

uint8_t sv_transmit_buffer::imlicitString0

Definition at line 223 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ noAsduLength

uint8_t sv_transmit_buffer::noAsduLength

Definition at line 217 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ pduLength

uint8_t sv_transmit_buffer::pduLength

Definition at line 215 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ reserved0

uint8_t sv_transmit_buffer::reserved0

Definition at line 210 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ reserved1

uint8_t sv_transmit_buffer::reserved1

Definition at line 211 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ reserved2

uint8_t sv_transmit_buffer::reserved2

Definition at line 212 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ reserved3

uint8_t sv_transmit_buffer::reserved3

Definition at line 213 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ sampleData

uint8_t sv_transmit_buffer::sampleData[SMP_DATA_LENGTH]

Definition at line 241 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv(), and GPT2_IRQHandler().

## ◆ seqLength

uint8_t sv_transmit_buffer::seqLength

Definition at line 220 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ sequence

uint8_t sv_transmit_buffer::sequence

Definition at line 221 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ smpCnt0

uint8_t sv_transmit_buffer::smpCnt0

Definition at line 228 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv(), and GPT2_IRQHandler().

## ◆ smpCnt1

uint8_t sv_transmit_buffer::smpCnt1

Definition at line 229 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv(), and GPT2_IRQHandler().

## ◆ smpCntLength

uint8_t sv_transmit_buffer::smpCntLength

Definition at line 227 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ smpDataLength

uint8_t sv_transmit_buffer::smpDataLength

Definition at line 240 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ smpSynch

uint8_t sv_transmit_buffer::smpSynch

Definition at line 238 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ smpSynchLength

uint8_t sv_transmit_buffer::smpSynchLength

Definition at line 237 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ sourceMac

uint8_t sv_transmit_buffer::sourceMac[6]

Definition at line 199 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ svID

uint8_t sv_transmit_buffer::svID[MAX_SVID_LENGTH]

Definition at line 225 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ svidLength

uint8_t sv_transmit_buffer::svidLength

Definition at line 224 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ svLength0

uint8_t sv_transmit_buffer::svLength0

Definition at line 208 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

## ◆ svLength1

uint8_t sv_transmit_buffer::svLength1

Definition at line 209 of file platform_sampler_lpspi3_ad8688.h.

Referenced by config_txsv().

The documentation for this struct was generated from the following file:

- ARK/platform_sampler_lpspi3_ad8688.h